Skip to content

Invoices API

9 endpoints. All requests need an Authorization header — see Authentication. API keys additionally need the matching scope.

Method Path Description
GET /api/invoices/ List Invoices Query: status, account_id, overdue.
POST /api/invoices/ Create Invoice Accepts a JSON body.
POST /api/invoices/generate-recurring Generate Recurring
POST /api/invoices/rate-usage Rate Usage Accepts a JSON body.
GET /api/invoices/{invoice_id} Get Invoice
GET /api/invoices/{invoice_id}/pdf Invoice Pdf
POST /api/invoices/{invoice_id}/record-payment Record Manual Payment Accepts a JSON body.
POST /api/invoices/{invoice_id}/send Send Invoice Accepts a JSON body.
POST /api/invoices/{invoice_id}/void Void Invoice

Try it

The full request/response schema for every endpoint is in the OpenAPI spec served by your own workspace.